<?php
/**
 * Joomla! 1.6 module mod_dosebo_courses
 * @author Docebo
 * @package Joomla
 * @subpackage Dosebo_courses
 * @license GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

?>
	<style>
		.cblock-element {
			border-radius: 4px 4px 4px 4px;
			float:         left;
			margin:        0 15px 15px 0;
			overflow:      hidden;
			position:      relative;
		}

		.cblock-element a {
			color:           #FFFFFF;
			float:           left;
			text-decoration: none;
		}

		.cblock-element a:hover {
			color:           #FFFFFF;
			text-decoration: none;
		}

		.cblock-element img {
			position: relative;
			z-index:  -1;
		}

		.cblock-element p.coursename {
			background:      none repeat scroll 0 0 rgba(0, 0, 0, 0.75);
			bottom:          0;
			color:           #FFFFFF;
			display:         block;
			height:          35px;
			left:            0;
			margin:          0;
			padding:         10px;
			position:        absolute;
			text-decoration: none;
			width:           100%;
		}

		.cblock-element .course-status-icon {
			position: absolute;
			right:    0;
			top:      0;
			z-index:  1;
		}
	</style>
<?php
$detail = modDocebo_coursesHelper::getDetail();

$width = $detail['width'];
$user = JFactory::getUser();
$userId = $user->get('id');

if ($userId != "" || $userId != 0) {

	if ($width == '') {
		$width = '230';
	}

	$dwp_course_options['cblock_width'] = (int) $width; // Course Box Width
	$params1                            = array('ext_user' => $userId, 'ext_user_type' => 'wordpress');
	$data                               = ApiCourses::call('user/userCourses/', $params1);

	$course_block          = json_decode($data);
	$course_count          = 0;
	$num_courses_displayed = (isset($detail['no_of_course']) && $detail['no_of_course'] != 0 ? (int) $detail['no_of_course'] : 0);
	$display_all_courses   = ($num_courses_displayed == 0);

	if (is_array($course_block) || is_object($course_block)) {
		foreach ($course_block as $courses) {
			if (isset($courses->course_info)
				&& isset($courses->course_info->course_id)
				&& ($display_all_courses || ($course_count < $num_courses_displayed))
			) {
				echo '<div class="cblock-element" style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; ';
				if ($courses->course_info->courseuser_status == 2) {
					echo 'border: 4px solid #60c060;';
				} else {
					echo 'border: 4px solid #0465ac;';
				}
				echo '">';
				if ($courses->course_info->courseuser_status == 2) {
					?>
					<img class="course-status-icon"
					     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_complete.png"/>
				<?php
				} else {
					?>
					<img class="course-status-icon"
					     src="<?php echo JURI::base(); ?>components/com_docebo/assets/images/icon_corner_progress.png"/>
				<?php
				}

				echo '
					<a target="_blank" href="' . ApiCourses::sso($user->get('username')) . '&id_course=' . $courses->course_info->course_id . '">
						<div style="width:' . $dwp_course_options['cblock_width'] . 'px; height:' . $dwp_course_options['cblock_width'] . 'px; background:url(\'' . $courses->course_info->course_thumbnail . '\'); background-size: cover; position: relative; background-position: center;">
							<p class="coursename">' . $courses->course_info->course_name . '</p>
						</div>
					</a>
				</div><!--.cblock-element-->';
				echo '<div class="clear"></div>';
				$course_count++;
			}
		}
	}
	echo '<div class="clear"></div>';
} else {
	echo "<p class='error'>Please Login into the system to view the list of courses</p>";
}
?>