<?php
/**
 * Joomla! 1.7 module mod_docebo_userlogin
 * @author Sheetal
 * @package Joomla
 * @subpackage Docebo_userlogin
 * @license GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__) . '/helper.php');

$document = JFactory::getDocument();
$document->addStyleSheet('administrator/components/com_docebo/assets/css/docebo.css');

require(JModuleHelper::getLayoutPath('mod_docebo_userlogin'));

if (isset($_POST['login_user'])) {
	$auth = DoceboApi::call('auth/authenticate', array(
		'username' => $_POST['login_user'],
		'password' => $_POST['password'],
	));

	$auth = json_decode($auth, 1);
	if ($auth && isset($auth['success']) && $auth['success'] == TRUE) {
		$token = isset($auth['token']) ? $auth['token'] : FALSE;

		if ($token) {
			$restLoginUrl = DoceboApi::createRestAuthLink($_POST['login_user'], $token);
			header("Location: " . $restLoginUrl);
			exit;
		}
	}

	header("Location: " . DoceboApi::getCloudUrl() . '/lms/?r=site/index&error=2');
	exit;
}